Api referenceWorkspaces

Create Message

Reference for Create Message in the Hyperoru v1 API, including request, response, and authentication details.

POST/v1/workspaces/{workspace_id}/assistant/conversations/{conversation_id}/messages

Create Message. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
conversation_id*Conversation Id
Formatuuid

Header Parameters

Idempotency-Key*Idempotency-Key
Length8 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/assistant/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages" \  -H "Idempotency-Key: stringst" \  -H "Content-Type: application/json" \  -d '{    "question": "string"  }'
{
  "assistant_message_id": "bb34c082-20a7-446a-a2d9-976d65d15191",
  "cache_hit": true,
  "cached_input_tokens": 0,
  "completed_at": "2019-08-24T14:15:22Z",
  "context_snapshot_id": "975da57c-75b7-414d-8086-534aa86baded",
  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",
  "cost_usd": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "error_code": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "input_tokens": 0,
  "output_tokens": 0,
  "route": "string",
  "specialist": "string",
  "started_at": "2019-08-24T14:15:22Z",
  "status": "string",
  "user_message_id": "1798585b-bc85-46b6-801b-ecb7c9ceed07"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}